Willkommen, Gast
Benutzername: Passwort: Angemeldet bleiben:

THEMA: Wordpress plugin development request

Wordpress plugin development request 1 Jahr 1 Monat her #97236

  • AdderaPredy
  • AdderaPredys Avatar
  • OFFLINE
  • Fresh Lemon
  • Beiträge: 2
  • Karma: 0
Hello friends,

I'm consulting a client on a Wordpress-Limesurvey integration & we need a plugin to be developed for it. This is what is needed.

1. User synchronization between Wordpress & Limesurvey (automatic as well as manual).
2. Map Wordpress user roles with global permissions in Limesurvey.
3. A sidebar widget that shows available surveys (public surveys & if a user is logged in, private surveys too).
4. A sidebar widget that shows survey statistics for logged-in users who have the required permissions.

The first two features are possible with Surveypress. But Surveypress works only with Limesurvey 1.9x. We're not rigid on the Limesurvey version though, so we're fine with either of the following options.

a) A plugin that offers the 2 widgets on Limesurvey 1.9x
b) A plugin that offers all 4 features on Limesurvey 2.0

Developers : Please PM me with timelines & a rough financial estimate.

Cheers,

Sameer
Der Administrator hat öffentliche Schreibrechte deaktiviert.

Wordpress plugin development request 1 Jahr 1 Monat her #97241

  • actxcellence
  • actxcellences Avatar
  • OFFLINE
  • Junior Lime
  • Beiträge: 37
  • Dank erhalten: 7
  • Karma: 0
Hello Sameer,

can you specify a little about 1) and 2) sync all participants as WP user? or sync all WP users as survey authors in lime?

3) what do you define as a private survey?

and 4) logged in as what?
Schon die Bedienungsanleitung von LimeSurvey angeschaut?
Bedienungsanleitung (DE) | Tricks, um mehr Antworten auf Fragen im Forum zu erhalten
Der Administrator hat öffentliche Schreibrechte deaktiviert.

Wordpress plugin development request 1 Jahr 1 Monat her #97296

  • AdderaPredy
  • AdderaPredys Avatar
  • OFFLINE
  • Fresh Lemon
  • Beiträge: 2
  • Karma: 0
Sorry for the delay in response, actxcellence. We've been mulling over whether to go with LS 1.9x or 2.x over the last couple of days and have finally decided to go with the latter. That changes the requirements slightly. Will get back here once we have a better clarity on what's required.

Thanks. :)
Der Administrator hat öffentliche Schreibrechte deaktiviert.
Moderatoren: ITEd
Ladezeit der Seite: 0.125 Sekunden
Donation Image